Bug 1025741 - incorrect functionality description for Transaction Manager and XAResources
incorrect functionality description for Transaction Manager and XAResources
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 08:20 EDT by Mircea Markus
Modified: 2014-11-30 16:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 12532, Administration and Configuration Guide-6.2-Beta-3 Build Date: 28-10-2013 14:47:46 Topic ID: 5314-443688 [Latest]
Last Closed: 2014-01-15 19:01:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mircea Markus 2013-11-01 08:20:36 EDT
Title: Transaction Manager and XAResources

Describe the issue:
it's not the TransactionManager that should provide the XAResource, but the transactional resource which is JDG. The XAResource can be obtained through Cache.getAdvancedCache().getXAResource()

Suggestions for improvement:


Additional information:
Comment 2 Misha H. Ali 2013-11-01 22:11:06 EDT
Scoped for 6.2 Beta release.
Comment 5 Misha H. Ali 2014-01-15 19:01:25 EST
The fix for this bug is now generally released and available here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/index.html

Note You need to log in before you can comment on or make changes to this bug.